Subject: Re: [sfc] New Version Notification for draft-ietf-sfc-nsh-05.txt

From: <[email-masked]>
Date: Fri, 3 Jun 2016 14:57:31 +0000

Hi Paul, 

Thank you for this updated version. 

I still have some comments that I believe are not addressed in this version. I will start with the flag bits: 

(1) O-bit:

This text was agreed on the list. Is there any reason why it was not implemented?

~~~
  O bit: Setting this bit indicates an Operations,
  Administration, and Maintenance
  (OAM) packet.  The actual format and processing of SFC OAM messages
  is outside the scope of this specification (see [I-D.ietf-sfc-oam-framework]).

  For data (i.e., not OAM) packets, the O bit MUST be cleared and MUST NOT
  be modified along the SFP.
~~~

(2) C-bit: 

* The set of mandatory-to-process TLVs should be instructed via control plane. This should be added to the document. 
* Aren't there implications on the value of C-bit when a metadata is injected or striped by intermediate SFC-aware nodes? An implementation obviously needs to reexamine the set of TLV to check that at least one critical TLV is still present to decide whether rewriting the C bit is needed. 
* How an implementation is expected to behave if the C bit is set but no mandatory-to-process TLV is found?

Thank you.

Cheers,
Med

> -----Message d'origine-----
> De : sfc [mailto:[email-masked]] De la part de Paul Quinn (paulq)
> Envoyé : vendredi 27 mai 2016 00:19
> À : [email-masked]
> Objet : [sfc] Fwd: New Version Notification for draft-ietf-sfc-nsh-05.txt
> 
> Dear WG,
> 
> This new version of NSH takes into account the comments that were raised
> re: -05.
> 
> Thank you,
> Paul
> 
> > Begin forwarded message:
> >
> > From: <[email-masked]>
> > Subject: New Version Notification for draft-ietf-sfc-nsh-05.txt
> > Date: May 26, 2016 at 6:16:37 PM EDT
> > To: Uri Elzur <[email-masked]>, Paul Quinn <[email-masked]>
> >
> >
> > A new version of I-D, draft-ietf-sfc-nsh-05.txt
> > has been successfully submitted by Paul Quinn and posted to the
> > IETF repository.
> >
> > Name:		draft-ietf-sfc-nsh
> > Revision:	05
> > Title:		Network Service Header
> > Document date:	2016-05-26
> > Group:		sfc
> > Pages:		38
> > URL:            https://www.ietf.org/internet-drafts/draft-ietf-sfc-nsh-
> 05.txt
> > Status:         https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh/
> > Htmlized:       https://tools.ietf.org/html/draft-ietf-sfc-nsh-05
> > Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-05
> >
> > Abstract:
> >   This document describes a Network Service Header (NSH) inserted onto
> >   encapsulated packets or frames to realize service function paths.
> >   NSH also provides a mechanism for metadata exchange along the
> >   instantiated service path.  NSH is the SFC encapsulation required to
> >   support the Service Function Chaining (SFC) Architecture (defined in
> >   RFC7665).
> >
> >
> >
> >
> > Please note that it may take a couple of minutes from the time of
> submission
> > until the htmlized version and diff are available at tools.ietf.org.
> >
> > The IETF Secretariat
> >
> 
> _______________________________________________
> sfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sfc